package cn.com.countrygarden.bi.main.model.performance.monthly;

import cn.com.countrygarden.bi.main.model.performance.PerformanceMonthly;

/**
 * 绩效月度数据DTO(带有指标名称+平均分)
 */
public class PerformanceMonthDto extends PerformanceMonthly {

    private String elementName;//当前指标的名称

    public PerformanceMonthDto(){

    }

    public PerformanceMonthDto(int year, int month, long elementId, String hierarchyId){
        super(year,month,elementId,hierarchyId);
    }

    public  PerformanceMonthDto(PerformanceMonthly pm){
        super(pm.getMonthId(),pm.getElementId(),pm.getComplete(),pm.getAnnualTarget(),pm.getCompleteRate(),pm.getYear(),
                pm.getMonth(),pm.getHierarchyId(),pm.getRanges(),pm.getCreatedDate(),pm.getCreatedBy(),pm.getUpdateDate(),pm.getUpdateBy());
    }

    public PerformanceMonthDto(String elementName){
        this.elementName = elementName;
    }

    public String getElementName() {
        return elementName;
    }

    public void setElementName(String elementName) {
        this.elementName = elementName;
    }

}
